program main
  implicit none



  logical, parameter :: T = .true., F = .false.

  do iter=1, niter

     stat = wemva_bgimag_oper(bslw_, bimg_) 
     stat = wemva_offdso_oper(F, F, bimg_, dimg_)

     call oc_solver_simple(Fop=wemva_prestk_oper, m_=dslw_, d_=dimg_)

     call oc_add(bslw_, dslw_) 

  end do


end program
